# MeshGetMatrix

Creates a matrix with the correct parallel layout required for computing the Jacobian on a function defined using the informatin in Mesh.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode PETSCDM_DLLEXPORT MeshGetMatrix(Mesh mesh, MatType mtype, Mat *J)

Collective on Mesh

### Input Parameter

| mesh | - the mesh object
| mtype | - Supported types are MATSEQAIJ, MATMPIAIJ, MATSEQBAIJ, MATMPIBAIJ, MATSEQSBAIJ, MATMPISBAIJ, or any type which inherits from one of these (such as MATAIJ, MATLUSOL, etc.).

### Output Parameters

J -matrix with the correct nonzero preallocation (obviously without the correct Jacobian values)

Notes: This properly preallocates the number of nonzeros in the sparse matrix so you do not need to do it yourself.

### See Also

ISColoringView(), ISColoringGetIS(), MatFDColoringCreate(), DASetBlockFills()

Level:advanced
Location: src/dm/mesh/mesh.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages